AbstractClasspathEntry (Gradle API 2.14)
Date: 2016-06-14

Package: org.gradle.plugins.ide.eclipse.model

## [Java] Class AbstractClasspathEntry

- org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

- All Implemented Interfaces and Traits:
    ClasspathEntry

      public abstract class AbstractClasspathEntry
      extends groovy.lang.GroovyObjectSupport

  Common superclass for all ClasspathEntry instances.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `COMPONENT_DEPENDENCY_ATTRIBUTE` |
    `static String` | `COMPONENT_NON_DEPENDENCY_ATTRIBUTE` |
    `protected Set<AccessRule>` | `accessRules` |
    `protected Map<String, Object>` | `entryAttributes` |
    `protected boolean` | `exported` |
    `protected String` | `path` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractClasspathEntry (groovy.util.Node node)`
    `AbstractClasspathEntry (String path)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected groovy.util.Node` | `addClasspathEntry(groovy.util.Node node, Map<String, ?> attributes)`
    `void` | `appendNode(groovy.util.Node node)`
    `boolean` | `equals(Object o)`
    `Set<AccessRule>` | `getAccessRules()`
    `Map<String, Object>` | `getEntryAttributes()`
    `boolean` | `getExported()`
    `String` | `getNativeLibraryLocation()`
    `String` | `getPath()`
    `int` | `hashCode()`
    `boolean` | `isExported()`
    `protected String` | `normalizePath(String path)`
    `void` | `setAccessRules(Set<AccessRule> accessRules)`
    `void` | `setExported(boolean exported)`
    `void` | `setNativeLibraryLocation(String location)`
    `void` | `setPath(String path)`
    `String` | `toString()`
    `void` | `writeEntryAttributes(groovy.util.Node node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String COMPONENT_DEPENDENCY_ATTRIBUTE

    - #### public static final String COMPONENT_NON_DEPENDENCY_ATTRIBUTE

    - #### protected Set<AccessRule> accessRules

    - #### protected final Map<String, Object> entryAttributes

    - #### protected boolean exported

    - #### protected String path

  - ### Constructor Detail

    - #### public AbstractClasspathEntry(groovy.util.Node node)

    - #### public AbstractClasspathEntry(String path)

  - ### Method Detail

    - #### protected groovy.util.Node addClasspathEntry(groovy.util.Node node, Map<String, ?> attributes)

    - #### @Override public void appendNode(groovy.util.Node node)

    - #### @Override public boolean equals(Object o)

    - #### public Set<AccessRule> getAccessRules()

    - #### public Map<String, Object> getEntryAttributes()

    - #### public boolean getExported()

    - #### public String getNativeLibraryLocation()

    - #### public String getPath()

    - #### @Override public int hashCode()

    - #### public boolean isExported()

    - #### protected String normalizePath(String path)

    - #### public void setAccessRules(Set<AccessRule> accessRules)

    - #### public void setExported(boolean exported)

    - #### public void setNativeLibraryLocation(String location)

    - #### public void setPath(String path)

    - #### @Override public String toString()

    - #### public void writeEntryAttributes(groovy.util.Node node)